// 
// Patron pour la generation d'une classe derivee dans ROOT
// FParamBrutSimple derive de FParamBrut
// 
 
#ifndef FParamBrutSimple_h 
#define FParamBrutSimple_h 
 
#include "FParamBrut.h" 
 
class FParamBrutSimple : public FParamBrut { 
 
   protected: 
        Double_t valeur;       // initialisation 

   protected: 
        virtual void Init(void);       // initialisation 
 
   public:	 
   	FParamBrutSimple(void);    // constructeur par defaut 
	FParamBrutSimple(const FParamBrutSimple &ap); // constructeur par copie 
	
	~FParamBrutSimple(void);		// desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   	virtual void Copy(TObject & obj) const;
#else
   	virtual void Copy(TObject & obj);
#endif
	FParamBrutSimple& operator = (const FParamBrutSimple &hp); // operateur = 
 
	virtual void     Reset(void){FParam::Reset();valeur=-1;}
	virtual void  	 SetValue(Double_t val,Int_t i=0){valeur=val; SetOn();}
 	virtual Double_t GetValue(Int_t i=0) const {return valeur;}
	//virtual void	 SetNbValues(Int_t nbv=1){;}


    ClassDef(FParamBrutSimple,1)
 
}; 
 
#endif 
 
