// 
// choubi : Tue Apr 24 09:53:18 2007
// Patron pour la generation d'une classe derivee dans ROOT
// FDataReaderTemplate derive de FDataReader
// 
// 
 
#define FDataReaderTemplate_cxx 
 
#include "Riostream.h"
 
#include "FDataReaderTemplate.h"
 
ClassImp(FDataReaderTemplate)
/////////////////////////////////////////////////////////////////////////
// Insert here the FDataReaderTemplate class description
//
//


//_________________________________________________________
void FDataReaderTemplate::Init(void)
 {
//
// Initialisation
//
 }
 
//_________________________________________________________
FDataReaderTemplate::FDataReaderTemplate(void):FDataReader()
 {
// 
// Constructeur par Defaut
//
 Init();
 }
 
 
//_________________________________________________________
FDataReaderTemplate::FDataReaderTemplate(const FDataReaderTemplate &hp):FDataReader(hp)
 {
// 
// Constructeur par Copie
//
 Init();
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
  hp.Copy(*this);
#else
  ((FDataReaderTemplate &)a).Copy(*this);
#endif
 }
 
//_________________________________________________________
FDataReaderTemplate::~FDataReaderTemplate(void)
 {
//
// Destructeur
//
 }
 
//_________________________________________________________
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
void FDataReaderTemplate::Copy(TObject &hp) const
#else
void FDataReaderTemplate::Copy(TObject &hp)
#endif
 {
//
// Copie
//
 FDataReader::Copy(hp);
 }
 
//_________________________________________________________
FDataReaderTemplate& FDataReaderTemplate::operator = (const FDataReaderTemplate &hp)
 {
//
// Operateur =
//
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   hp.Copy(*this);
#else
   ((FDataReaderTemplate &)hp).Copy(*this);
#endif
 return *this;
 }
 
//_________________________________________________________
void FDataReaderTemplate::InitListOfParamsBruts(void)
 {
//
// Init the raw parameters list
//
 }

//_________________________________________________________
void FDataReaderTemplate::SetParamBrutsValues(void)
 {
//
// Sets the values of the raw parameters
//
 }
