//
// Entete de la classe MCBLabel
//	Il est compose d'un TGComboBox et d'un TGLabel

#ifndef MCBLabel_h
#define MCBLabel_h

#include "TROOT.h"
#include "TGClient.h"
#include "MComboBox.h"
#include "TGTextEntry.h"
#include "TGLabel.h"

class MCBLabel : public TGCompositeFrame
{
// Declaration des boutons de la fenetre principale
private:
	TGLayoutHints	*lAffLab,*lAffCombo;
	TGComboBox	*combobox;
	TGLabel		*label;
	
	TGWindow	*mainwin;
	
	Int_t		numEntryMax;

public:
	MCBLabel(const TGWindow *p,char const *s,int id,Bool_t textedit=kFALSE);
	~MCBLabel();
	
	virtual Bool_t ProcessMessage(Long_t msg, Long_t par1, Long_t par2); 

	virtual TGComboBox *Get_TGComboBox(void);
	virtual TGLabel    *Get_TGLabel(void);
	virtual void AddEntry(char const *s);
	virtual void RemoveEntry(char const *s);
	virtual Int_t GetEntryId(char const *s);
	virtual void SelectEntry(char const *s);
	virtual void SetListeEntrees(TSeqCollection *liste);
	virtual void AddEntry(TSeqCollection *liste);
	virtual TList *GetListeEntrees(void);
	virtual int GetNombreEntrees(void);
	virtual char const *GetSelectedText(void);
	virtual void SetMainWin(TGWindow *mcb);
	virtual TGWindow *GetMainWin(void);
	
	ClassDef(MCBLabel,1)
};

#endif
